# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  set C_S00_AXI_DATA_WIDTH [ipgui::add_param $IPINST -name "C_S00_AXI_DATA_WIDTH" -parent ${Page_0} -widget comboBox]
  set_property tooltip {Width of S_AXI data bus} ${C_S00_AXI_DATA_WIDTH}
  set C_S00_AXI_ADDR_WIDTH [ipgui::add_param $IPINST -name "C_S00_AXI_ADDR_WIDTH" -parent ${Page_0}]
  set_property tooltip {Width of S_AXI address bus} ${C_S00_AXI_ADDR_WIDTH}
  ipgui::add_param $IPINST -name "C_S00_AXI_BASEADDR" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_S00_AXI_HIGHADDR" -parent ${Page_0}

  ipgui::add_param $IPINST -name "DATA_BYTES_MAX"
  ipgui::add_param $IPINST -name "PREAMBLE_BITS"
  ipgui::add_param $IPINST -name "SFD_BYTES"
  ipgui::add_param $IPINST -name "CLK_DIV_ADC"
  ipgui::add_param $IPINST -name "CLK_DIV_CC1000"
  set DBG_LEN [ipgui::add_param $IPINST -name "DBG_LEN"]
  set_property tooltip {If DBG_LEN=0 then the port dbg_o is disabled.} ${DBG_LEN}

}

proc update_PARAM_VALUE.CLK_DIV_ADC { PARAM_VALUE.CLK_DIV_ADC } {
	# Procedure called to update CLK_DIV_ADC when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.CLK_DIV_ADC { PARAM_VALUE.CLK_DIV_ADC } {
	# Procedure called to validate CLK_DIV_ADC
	return true
}

proc update_PARAM_VALUE.CLK_DIV_CC1000 { PARAM_VALUE.CLK_DIV_CC1000 } {
	# Procedure called to update CLK_DIV_CC1000 when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.CLK_DIV_CC1000 { PARAM_VALUE.CLK_DIV_CC1000 } {
	# Procedure called to validate CLK_DIV_CC1000
	return true
}

proc update_PARAM_VALUE.DATA_BYTES_MAX { PARAM_VALUE.DATA_BYTES_MAX } {
	# Procedure called to update DATA_BYTES_MAX when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.DATA_BYTES_MAX { PARAM_VALUE.DATA_BYTES_MAX } {
	# Procedure called to validate DATA_BYTES_MAX
	return true
}

proc update_PARAM_VALUE.DBG_LEN { PARAM_VALUE.DBG_LEN } {
	# Procedure called to update DBG_LEN when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.DBG_LEN { PARAM_VALUE.DBG_LEN } {
	# Procedure called to validate DBG_LEN
	return true
}

proc update_PARAM_VALUE.PREAMBLE_BITS { PARAM_VALUE.PREAMBLE_BITS } {
	# Procedure called to update PREAMBLE_BITS when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.PREAMBLE_BITS { PARAM_VALUE.PREAMBLE_BITS } {
	# Procedure called to validate PREAMBLE_BITS
	return true
}

proc update_PARAM_VALUE.SFD_BYTES { PARAM_VALUE.SFD_BYTES } {
	# Procedure called to update SFD_BYTES when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.SFD_BYTES { PARAM_VALUE.SFD_BYTES } {
	# Procedure called to validate SFD_BYTES
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_DATA_WIDTH { PARAM_VALUE.C_S00_AXI_DATA_WIDTH } {
	# Procedure called to update C_S00_AXI_DATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_DATA_WIDTH { PARAM_VALUE.C_S00_AXI_DATA_WIDTH } {
	# Procedure called to validate C_S00_AXI_DATA_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_ADDR_WIDTH { PARAM_VALUE.C_S00_AXI_ADDR_WIDTH } {
	# Procedure called to update C_S00_AXI_ADDR_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_ADDR_WIDTH { PARAM_VALUE.C_S00_AXI_ADDR_WIDTH } {
	# Procedure called to validate C_S00_AXI_ADDR_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_BASEADDR { PARAM_VALUE.C_S00_AXI_BASEADDR } {
	# Procedure called to update C_S00_AXI_BASEADDR when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_BASEADDR { PARAM_VALUE.C_S00_AXI_BASEADDR } {
	# Procedure called to validate C_S00_AXI_BASEADDR
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_HIGHADDR { PARAM_VALUE.C_S00_AXI_HIGHADDR } {
	# Procedure called to update C_S00_AXI_HIGHADDR when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_HIGHADDR { PARAM_VALUE.C_S00_AXI_HIGHADDR } {
	# Procedure called to validate C_S00_AXI_HIGHADDR
	return true
}


proc update_MODELPARAM_VALUE.C_S00_AXI_DATA_WIDTH { MODELPARAM_VALUE.C_S00_AXI_DATA_WIDTH PARAM_VALUE.C_S00_AXI_DATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S00_AXI_DATA_WIDTH}] ${MODELPARAM_VALUE.C_S00_AXI_DATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_S00_AXI_ADDR_WIDTH { MODELPARAM_VALUE.C_S00_AXI_ADDR_WIDTH PARAM_VALUE.C_S00_AXI_ADDR_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S00_AXI_ADDR_WIDTH}] ${MODELPARAM_VALUE.C_S00_AXI_ADDR_WIDTH}
}

proc update_MODELPARAM_VALUE.DBG_LEN { MODELPARAM_VALUE.DBG_LEN PARAM_VALUE.DBG_LEN } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.DBG_LEN}] ${MODELPARAM_VALUE.DBG_LEN}
}

proc update_MODELPARAM_VALUE.DATA_BYTES_MAX { MODELPARAM_VALUE.DATA_BYTES_MAX PARAM_VALUE.DATA_BYTES_MAX } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.DATA_BYTES_MAX}] ${MODELPARAM_VALUE.DATA_BYTES_MAX}
}

proc update_MODELPARAM_VALUE.PREAMBLE_BITS { MODELPARAM_VALUE.PREAMBLE_BITS PARAM_VALUE.PREAMBLE_BITS } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.PREAMBLE_BITS}] ${MODELPARAM_VALUE.PREAMBLE_BITS}
}

proc update_MODELPARAM_VALUE.SFD_BYTES { MODELPARAM_VALUE.SFD_BYTES PARAM_VALUE.SFD_BYTES } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.SFD_BYTES}] ${MODELPARAM_VALUE.SFD_BYTES}
}

proc update_MODELPARAM_VALUE.CLK_DIV_ADC { MODELPARAM_VALUE.CLK_DIV_ADC PARAM_VALUE.CLK_DIV_ADC } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.CLK_DIV_ADC}] ${MODELPARAM_VALUE.CLK_DIV_ADC}
}

proc update_MODELPARAM_VALUE.CLK_DIV_CC1000 { MODELPARAM_VALUE.CLK_DIV_CC1000 PARAM_VALUE.CLK_DIV_CC1000 } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.CLK_DIV_CC1000}] ${MODELPARAM_VALUE.CLK_DIV_CC1000}
}

